Method: spaces.members.patch

Updates a member.

HTTP request

PATCH https://meet.googleapis.com/v2/{member.name=spaces/*/members/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
member.name

string

Identifier. Resource name of the member. Format: spaces/{space}/members/{member}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. Field mask used to specify the fields to be updated in the member. If updateMask isn't provided(not set, set with empty paths, or only has "" as paths), it defaults to update all fields provided with values in the request. Using "*" as updateMask will update all fields, including deleting fields not set in the request. In case of BatchUpdate, it must be absent or the same as the updateMask in BatchUpdateMembersRequest when UpdateMemberRequest is built as a child request of BatchUpdateMembersRequest.

Request body

The request body contains an instance of Member.

Response body

If successful, the response body contains an instance of Member.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/meetings.space.created

For more information, see the Authorization guide.